Bug 456891 - pushing package headers and re-pushing whole package causes internal server error
pushing package headers and re-pushing whole package causes internal server e...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
510
All Linux
medium Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714 563609
  Show dependency treegraph
 
Reported: 2008-07-28 10:10 EDT by Daniel Mach
Modified: 2014-05-09 06:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:20:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2008-07-28 10:10:57 EDT
Description of problem:
When I push a package headers to satellite and then I want to re-push whole
file, I get 500: Internal Server Error.

How reproducible:
always

Steps to Reproduce:
1. rhnpush --server=xen34.englab.brq.redhat.com --username=admin
--password=admin --orgid=1 --channel=rhel-x86_64-as-4  --header
anacron-2.3-32.i386.rpm
2. rhnpush --server=xen34.englab.brq.redhat.com --username=admin
--password=admin --orgid=1 --channel=rhel-x86_64-as-4 anacron-2.3-32.i386.rpm
  
Actual results:
ERROR: unhandled exception occurred: (<ProtocolError for
xen34.englab.brq.redhat.com /APP: 500 Internal Server Error>).

Expected results:
Whole file is uploaded or relevant error message is printed.

Additional info:
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheRequest.py", line 108, in call_function
    response = apply(func, params)
  File "/usr/share/rhn/server/handlers/app/packages.py", line 415, in
getPackageMD5sumBySession
    return self._getPackageMD5sum(org_id, pkg_infos, info)
  File "/usr/share/rhn/server/handlers/app/packages.py", line 463, in
_getPackageMD5sum
    filePath = os.path.join(CFG.MOUNT_POINT, row['path'])
  File "/usr/lib64/python2.3/posixpath.py", line 60, in join
    if b.startswith('/'):
AttributeError: 'NoneType' object has no attribute 'startswith'

row['path'] should contain file path, but uploaded file doesn't exist on
satellite (there's only header in database), so variable contains None value.
Comment 1 Devan Goodwin 2008-07-28 10:41:20 EDT
Switching component, I'm thinking "Server" is the most appropriate here.
Comment 2 Daniel Mach 2009-10-07 15:43:33 EDT
Any update on this?
The issue is still there.
Comment 6 Clifford Perry 2014-05-09 06:20:44 EDT
We have not addressed this specific bug for over 4 years. This bug was reported as either Satellite 5.0 or 5.1, both of which have now End of Life and not supported. I am closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.